elisa.plugins.pigment.widgets.button.Button {
  text-z: 0.01;
  icon-z: 0.01;
}

elisa.plugins.pigment.widgets.button.Button#test_button {
  text-label: "Normal";
  text-fg_color: 255, 255, 255, 255;
  text-bg_color: 0, 0, 200, 100;
}

elisa.plugins.pigment.widgets.button.Button#test_button:STATE_SELECTED {
  text-label: "Selected";
  text-bg_color: 0, 0, 200, 150;
}

elisa.plugins.pigment.widgets.button.Button#test_button:STATE_PRESSED {
  text-label: "Pressed";
  text-bg_color: 100, 100, 250, 200;
}

elisa.plugins.pigment.widgets.button.Button#test_button:STATE_DISABLED {
  text-label: "Disabled";
  text-fg_color: 120, 120, 120, 255;
  text-bg_color: 30, 30, 30, 200;
}



elisa.plugins.pigment.widgets.label.Label {
  _text-bg_color: 0, 0, 0, 255;
  _text-fg_color: 255, 255, 255, 255;
}

elisa.plugins.pigment.widgets.range.Range {
  cursor-color: 255, 255, 255, 255;
  background-color: 0, 0, 0, 255;
}

elisa.plugins.pigment.widgets.range.Range:STATE_SELECTED {
  cursor-color: 255, 255, 0, 255;
  background-color: 0, 255, 0, 255;
}

elisa.plugins.pigment.widgets.slider.Slider {
  cursor-color: 255, 255, 0, 255;
}

elisa.plugins.pigment.widgets.panel.PiecePanel#demo:STATE_NORMAL {
  top_height: 0.55;
  bottom_height: 0.275;
  left_width: 0.275;
  right_width: 0.275;

  top_left-file: url(pieces/normal/00001.png);
  top_middle-file: url(pieces/normal/00002.png);
  top_right-file: url(pieces/normal/00003.png);
  middle_left-file: url(pieces/normal/00004.png);
  middle_middle-file: url(pieces/normal/00005.png);
  middle_right-file: url(pieces/normal/00006.png);
  bottom_left-file: url(pieces/normal/00007.png);
  bottom_middle-file: url(pieces/normal/00008.png);
  bottom_right-file: url(pieces/normal/00009.png);
}

elisa.plugins.pigment.widgets.panel.PiecePanel#demo:STATE_SELECTED {
  top_left-file: url(pieces/selected/00010.png);
  top_middle-file: url(pieces/selected/00011.png);
  top_right-file: url(pieces/selected/00012.png);
  middle_left-file: url(pieces/selected/00013.png);
  middle_middle-file: url(pieces/selected/00014.png);
  middle_right-file: url(pieces/selected/00015.png);
  bottom_left-file: url(pieces/selected/00016.png);
  bottom_middle-file: url(pieces/selected/00017.png);
  bottom_right-file: url(pieces/selected/00018.png);
}

elisa.plugins.pigment.widgets.panel.PiecePanel#demo:STATE_PRESSED {
  top_left-file: url(pieces/pressed/00019.png);
  top_middle-file: url(pieces/pressed/00020.png);
  top_right-file: url(pieces/pressed/00021.png);
  middle_left-file: url(pieces/pressed/00022.png);
  middle_middle-file: url(pieces/pressed/00023.png);
  middle_right-file: url(pieces/pressed/00024.png);
  bottom_left-file: url(pieces/pressed/00025.png);
  bottom_middle-file: url(pieces/pressed/00026.png);
  bottom_right-file: url(pieces/pressed/00027.png);
}

elisa.plugins.pigment.widgets.keyboard.Keyboard {
  spacing: 1px;
}


elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph:STATE_NORMAL {
  background-bg_color: 77, 77, 77, 191;
  text-fg_color: 247, 246, 246, 255;
  text-weight: bold;
  text-alignment: center;
}

elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph:STATE_SELECTED {
  background-bg_color: 33, 146, 189, 236;
  text-fg_color: 255, 255, 255, 255;
}

elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph:STATE_PRESSED {
  background-bg_color: 240, 240, 240, 236;
  text-fg_color: 51, 51, 51, 255;
}


elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph:STATE_NORMAL {
  background-bg_color: 77, 77, 77, 191;
  text-fg_color: 247, 246, 246, 255;
  text-weight: bold;
  text-alignment: left;
  text-size: 0.6, 1.0;
  text-x: 0.4;
  icon-layout: scaled;
  icon-alignment: right;
  icon-size: 0.3, 0.2;
  icon-y: 0.4;
}

elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph:STATE_SELECTED {
  background-bg_color: 33, 146, 189, 236;
  text-fg_color: 255, 255, 255, 255;
}

elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph:STATE_PRESSED {
  background-bg_color: 240, 240, 240, 236;
  text-fg_color: 51, 51, 51, 255;
}


elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph#keyboard_key_delete:STATE_NORMAL {
  text-weight: normal;
}
elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph#keyboard_key_delete:STATE_SELECTED {
  text-weight: normal;
}
elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph#keyboard_key_delete:STATE_PRESSED {
  text-weight: normal;
}



elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph#keyboard_key_switch:STATE_NORMAL {
  text-weight: normal;
}
elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph#keyboard_key_switch:STATE_SELECTED {
  text-weight: normal;
}
elisa.plugins.pigment.widgets.keyboard.ButtonWithGlyph#keyboard_key_switch:STATE_PRESSED {
  text-weight: normal;
}


elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph#keyboard_key_space:STATE_NORMAL {
  text-weight: normal;
}
elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph#keyboard_key_space:STATE_SELECTED {
  text-weight: normal;
}
elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph#keyboard_key_space:STATE_PRESSED {
  text-weight: normal;
}


elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph#keyboard_key_enter:STATE_NORMAL {
  background-bg_color: 30, 107, 34, 191;
  text-weight: normal;
}

elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph#keyboard_key_enter:STATE_SELECTED {
  text-weight: normal;
}

elisa.plugins.pigment.widgets.keyboard.ButtonWithoutGlyph#keyboard_key_enter:STATE_PRESSED {
  text-weight: normal;
}

elisa.plugins.pigment.widgets.input.TextEntry {
  label-bg_a: 0;
  instructions_label-bg_a: 0;
}
